Get custom user settings
Retrieves a list of custom user settings for a single user.
Custom settings provide a flexible way to store and retrieve custom user information that can be used in your own system.
Note: Custom user settings are not the same as user account settings.
If the custom user settings you want to retrieve are grouped, you
must include the X-DocuSign-User-Settings-Key header
in the request:
X-DocuSign-User-Settings-Key:group_name
Where the group_name is your designated name for the group of
customer user settings.
If the X-DocuSign-User-Settings-Key header is not included, only the custom
user settings that were added without a group are retrieved.
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as
Authorization: Bearer <token> on every request except
GET /v2.1 and GET /service_information, which are
public discovery endpoints.
Path parameters
The external account number (int) or account ID Guid.
The ID of the user to access.
Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.
Response
The name/value pair information for the user custom setting.